Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.coyote.ssl
Class RemotingSSLSupport

    java.lang.Object
      org.jboss.remoting.transport.coyote.ssl.RemotingSSLSupport

All Implemented Interfaces:
  org.apache.tomcat.util.net.SSLSupport

    public class RemotingSSLSupport

extends java.lang.Object
implements org.apache.tomcat.util.net.SSLSupport

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.SSLSupport
`org.apache.tomcat.util.net.SSLSupport.CipherData`

Field Summary

Fields inherited from interface org.apache.tomcat.util.net.SSLSupport
`CERTIFICATE_KEY, CIPHER_SUITE_KEY, ciphers, KEY_SIZE_KEY, SESSION_ID_KEY`

Constructor Summary
`RemotingSSLSupport(javax.net.ssl.SSLSocket socket)`

Method Summary
`java.lang.String` | `getCipherSuite()` The cipher suite being used on this connection.
`java.lang.Integer` | `getKeySize()` Get the keysize.
`java.lang.Object[]` | `getPeerCertificateChain()` The client certificate chain (if any).
`java.lang.Object[]` | `getPeerCertificateChain(boolean force)`
`java.lang.String` | `getSessionId()` The current session Id.
`protected java.security.cert.X509Certificate[]` | `getX509Certificates(javax.net.ssl.SSLSession session)`
`protected void` | `handShake()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotingSSLSupport

    public RemotingSSLSupport(javax.net.ssl.SSLSocket socket)

Method Detail

### getCipherSuite

    public java.lang.String getCipherSuite()
                                    throws java.io.IOException

  The cipher suite being used on this connection.

  Specified by:
    `getCipherSuite` in interface `org.apache.tomcat.util.net.SSLSupport`
  Throws:
    `java.io.IOException`

### getPeerCertificateChain

    public java.lang.Object[] getPeerCertificateChain()
                                               throws java.io.IOException

  The client certificate chain (if any).

  Specified by:
    `getPeerCertificateChain` in interface `org.apache.tomcat.util.net.SSLSupport`
  Throws:
    `java.io.IOException`

### getPeerCertificateChain

    public java.lang.Object[] getPeerCertificateChain(boolean force)
                                               throws java.io.IOException

  Specified by:
    `getPeerCertificateChain` in interface `org.apache.tomcat.util.net.SSLSupport`
  Throws:
    `java.io.IOException`

### handShake

    protected void handShake()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getX509Certificates

    protected java.security.cert.X509Certificate[] getX509Certificates(javax.net.ssl.SSLSession session)
                                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getKeySize

    public java.lang.Integer getKeySize()
                                 throws java.io.IOException

  Get the keysize.

  What we're supposed to put here is ill-defined by the Servlet spec (S 4.7 again). There are at least 4 potential values that might go here:

  (a) The size of the encryption key (b) The size of the MAC key (c) The size of the key-exchange key (d) The size of the signature key used by the server

  Unfortunately, all of these values are nonsensical.

  Specified by:
    `getKeySize` in interface `org.apache.tomcat.util.net.SSLSupport`
  Throws:
    `java.io.IOException`

### getSessionId

    public java.lang.String getSessionId()
                                  throws java.io.IOException

  The current session Id.

  Specified by:
    `getSessionId` in interface `org.apache.tomcat.util.net.SSLSupport`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.